package cn.com.tenlion.configtable.pojo.dtos.configtableoperation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: ConfigTableOperationDTO
 * @Description: 崔宝铖
 * @Author: CodeFactory
 * @Date: 2021-06-24 10:59:30
 * @Version: 3.0
 **/
@ApiModel
public class ConfigTableOperationGroupDTO {

    @ApiModelProperty(name = "uid", value = "主键")
    private String uid;
    @ApiModelProperty(name = "creator", value = "创建人ID")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "修改人ID")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "修改时间")
    private String gmtModified;
    @ApiModelProperty(name = "list", value = "字段集合")
    private List<ConfigTableOperationDTO> list;

    public String getUid() {
        return uid == null ? "" : uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getCreator() {
        return creator == null ? "" : creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public List<ConfigTableOperationDTO> getList() {
        if (list == null) {
            return new ArrayList<>();
        }
        return list;
    }

    public void setList(List<ConfigTableOperationDTO> list) {
        this.list = list;
    }
}
